std::swap(std::mdspan)(3)

NAME
std::swap(std::mdspan) - std::swap(std::mdspan)

Synopsis
   Defined in header <mdspan>
   friend constexpr void swap( mdspan& x, mdspan& y ) noexcept; (since C++23)
   Overloads the std::swap algorithm for std::mdspan. Exchanges the state of x with
   that of y.
   Given ptr_, map_, and acc_ as exposition-only data members, equivalent to:
 std::swap(x.ptr_, y.ptr_);
 std::swap(x.map_, y.map_);
 std::swap(x.acc_, y.acc_);

Parameters
   x, y - mdspan objects whose states to swap

Return value
   (none)

Example
    This section is incomplete
    Reason: no example

See also
    This section is incomplete

Categories:
     * Todo no example
     * Todo without reason